import 'dart:io';

class ResponseException<T> implements Exception {
  final T response;
  final dynamic responseBody;
  final message;

  ResponseException({this.message = null, this.response, this.responseBody = null});

  String toString() {
    // ignore: undefined_getter
    if (message == null) return "ResponseException: ${response.statusCode} ${response.reasonPhrase}";
    return "ResponseException: $message";
  }
}